Subject: Re: BSE-IP

From: Scott Wood <[email-masked]>
Date: Mon, 01 Feb 2010 13:06:54 -0600

[email-masked] wrote:
>> Has your firmware already set up the serial port?  cpm-serial doesn't
> make
>> assumptions about specific addresses, but it does assume that the BRG,
> pins,
>> etc. have been set up for the serial port to work.
> 
> Yes. Or, so I thought. First, I interrupt the bootstrap with <Esc>.  Then,
> I load the image into RAM with 'load simpleImage.bseip 200000' then 'go
> 200000'.  All of which is echo'd out the serial console by the firmware.
> I assumed that the low-level setups were complete.  However, in the old
> ppc/boot/m8xx_tty.c there is some initialization for SMC1 and the BRG
> (serial_init()).  Where should I do this in the new model?  Is
> platform_specific_init() the right place?

That'd be the place -- though it's also possible that it is already set up and 
the old code simply didn't assume it, and the problem is somewhere else.

If you don't have an external debugger, you may want to dump some registers from 
the firmware prompt and determine where it set up the tx ring, and use that for 
early debugging.

-Scott